<?php

namespace App\Http\Controllers\V1\Seguridad;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Password;
use Illuminate\Support\Facades\Validator;
use Symfony\Component\HttpFoundation\Response;

class ForgotPasswordController extends Controller
{
    public function sendResetLinkEmail(Request $request)
    {
        $data = $request->only('email');
        //Realizamos las validaciones
        $validator = Validator::make($data, [
            'email' => 'required|email|exists:users,email'
        ]);

        //Devolvemos un error si fallan las validaciones
        if ($validator->fails()) {
            return response()->json($validator->messages(), 400);
        }

        $response = $this->broker()->sendResetLink(
            $request->only('email')
        );
        return $response == Password::RESET_LINK_SENT
            ?  response()->json([
                'message' => 'Se ha enviado un correo electrónico con el enlace para restablecer la contraseña'
            ], Response::HTTP_OK)
            : response()->json('No se pudo enviar el correo electrónico de restablecimiento de contraseña', 401);
    }

    public function broker()
    {
        return Password::broker();
    }
}
