<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\SecureDelete;

class Insignia extends Model
{
    use SecureDelete;
    use HasFactory;

    protected $fillable = [
        'nombre',
        'objetivo',
        'descripcion_premio',
        'user_id',
        'file_id',
        'file_id_premio',
        'estatus'
    ];

    /**
     * obtiene todos los niveles del reto relacionados a esta insignia
     */
    public function niveles_retos()
    {
        return $this->hasMany(NivelReto::class);
    }

    /**
     * obtiene el archivo relacionado a esta insignia
     */
    public function files()
    {
        return $this->belongsTo(File::class, 'file_id', 'id');
    }

     /**
     * obtiene el archivo relacionado a esta insignia que se usa como imagen de premio
     */
    public function files_premio()
    {
        return $this->belongsTo(File::class, 'file_id_premio', 'id');
    }
}
