<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class NivelReto extends Model
{
    use HasFactory;

    
    protected $fillable = [
        'nombre',
        'meta',
        'fecha_inicio',
        'fecha_fin',
        'estatus',
        'reto_id',
        'puntos',
        'insignia_id'
    ];

    /**
     * obtiene el reto al que pertenece
     */
    public function reto_detail()
    {
        return $this->belongsTo(Reto::class, 'reto_id', 'id');
    }

    /**
     * obtiene la insignia al que pertenece
     */
    public function insignias()
    {
        return $this->belongsTo(Insignia::class, 'insignia_id', 'id');
    }

      /**
     * obtiene las recompensas relacionadas a el
     */
    public function recompensa()
    {
        return $this->belongsTo(HistorialRecompensas::class, 'id', 'nivel_id');
    }
}
