<?php

namespace App\Observers;

use App\Models\HistorialRecompensas;
use Illuminate\Support\Facades\Mail;

class HistorialRecompensasObserver
{
    /**
     * Handle events after all transactions are committed.
     *
     * @var bool
     */
    public $afterCommit = true;

    /**
     * Handle the Evidencia "created" event.
     *
     * @param  \App\Models\Evidencia  $evidencia
     * @return void
     */
    public function created(HistorialRecompensas $historialRecompensa)
    {
        $historiaRecompesaData = HistorialRecompensas::with(['participante.usuario', 'nivel_reto.reto_detail', 'nivel_reto.insignias'])
            ->where('id', $historialRecompensa['id'])
            ->firstOrFail();
        $details = [
            'tienda' => $historiaRecompesaData->participante['nombre_tienda'],
            'nombre_participante' => $historiaRecompesaData->participante['nombre_completo'],
            'nombre_reto' => $historiaRecompesaData->nivel_reto->reto_detail['nombre'],
            'nombre_nivel' => $historiaRecompesaData->nivel_reto['nombre'],
            'meta_nivel' => $historiaRecompesaData->nivel_reto['meta'],
            'descripcion_reto' => $historiaRecompesaData->nivel_reto->reto_detail['descripcion'],
            'tipo_reto' => $historiaRecompesaData->nivel_reto->reto_detail['tipo_reto'],
            // // 'puntos_totales' => $totalCantidad,
            'nombre_insignia' => $historiaRecompesaData->nivel_reto->insignias['nombre'],
            'premio_insignia' => $historiaRecompesaData->nivel_reto->insignias['descripcion_premio'],
        ];
        Mail::to($historiaRecompesaData->participante->usuario['email'])->send(new \App\Mail\NotificacionRecompensaTendero($details));
    }
}
