<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateNivelRetosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('nivel_retos', function (Blueprint $table) {
            $table->increments('id');
            $table->string('nombre', 400);
            $table->integer('meta');
            $table->dateTime('fecha_inicio');
            $table->dateTime('fecha_fin')->nullable();
            $table->boolean('estatus')->default(1);
            $table->timestamps();

            $table->integer('reto_id')->unsigned();
            //relacion a la tabla retos
            $table->foreign('reto_id')
                ->references('id')
                ->on('retos')->cascadeOnDelete();


            $table->integer('insignia_id')->nullable()->unsigned();
            //relacion a la tabla insignias
            $table->foreign('insignia_id')
                ->references('id')
                ->on('insignias')->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('nivel_retos');
    }
}
