<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEvidenciasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('evidencias', function (Blueprint $table) {
            $table->increments('id');
            $table->dateTime('fecha_captura');
            $table->string('estatus', 400)->default('evaluar');
            $table->mediumText('comentario')->nullable();
            $table->timestamps();

            $table->integer('user_id')->unsigned();
            //relacion a la tabla usuarios
            $table->foreign('user_id')
                ->references('id')
                ->on('users');

            $table->integer('participante_id')->nullable()->unsigned();
            //relacion a la tabla participantes
            $table->foreign('participante_id')
                ->references('id')
                ->on('participantes')->nullOnDelete();

            //relacion a la tabla file
            $table->integer('file_id')->nullable()->unsigned();
            $table->foreign('file_id')
                ->references('id')
                ->on('files')->nullOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('evidencias');
    }
}
