<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateHistorialRecompensasTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('historial_recompensas', function (Blueprint $table) {
            $table->increments('id');
            $table->dateTime('fecha_entrega')->nullable();
            $table->string('estatus', 400)->default('pendiente');
            $table->integer('participante_id')->unsigned();
            //relacion a la tabla participantes
            $table->foreign('participante_id')
                ->references('id')
                ->on('participantes');

            $table->integer('nivel_id')->unsigned();
            //relacion a la tabla nivel reto
            $table->foreign('nivel_id')
                ->references('id')
                ->on('nivel_retos');

            $table->integer('user_id')->nullable()->unsigned();
            //relacion a la tabla usuarios
            $table->foreign('user_id')
                ->references('id')
                ->on('users')->nullOnDelete();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('historial_recompensas');
    }
}
