<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEvidenciaRegistrosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('evidencia_registros', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('cantidad');
            $table->decimal('monto', 8, 2);
            $table->decimal('precio_producto', 8, 2);
            $table->timestamps();

            $table->integer('evidencia_id')->unsigned();
            //relacion a la tabla evidencias
            $table->foreign('evidencia_id')
                ->references('id')
                ->on('evidencias')->cascadeOnDelete();

            $table->integer('producto_id')->unsigned();
            //relacion a la tabla productos
            $table->foreign('producto_id')
                ->references('id')
                ->on('productos')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('evidencia_registros');
    }
}
